peaqrbac_fetchPermissions - Peaq
Example code for the peaqrbac_fetchPermissions JSON-RPC method. Complete guide on how to use peaqrbac_fetchPermissions JSON-RPC in GetBlock Web3 documentation.
Returns all RBAC permissions owned by an account.
Parameters
#
Example
Description
0
5G...owner
Positional parameter 0
Request
curl --location --request POST 'https://shared.us-east-1.getblock.io/<ACCESS-TOKEN>/' \
--header 'Content-Type: application/json' \
--data-raw '{
"jsonrpc": "2.0",
"id": "getblock.io",
"method": "peaqrbac_fetchPermissions",
"params": ["5G...owner"]
}'const axios = require('axios');
const response = await axios.post('https://shared.us-east-1.getblock.io/<ACCESS-TOKEN>/', { jsonrpc: '2.0', id: 'getblock.io', method: 'peaqrbac_fetchPermissions', params: ["5G...owner"] }, { headers: { 'Content-Type': 'application/json' } });
console.log(response.data.result);import requests
response = requests.post('https://shared.us-east-1.getblock.io/<ACCESS-TOKEN>/', headers={'Content-Type': 'application/json'}, json={'jsonrpc': '2.0', 'id': 'getblock.io', 'method': 'peaqrbac_fetchPermissions', 'params': ["5G...owner"]})
print(response.json())use reqwest::Client;
use serde_json::{json, Value};
#[tokio::main]
async fn main() -> Result<(), Box<dyn std::error::Error>> {
let client = Client::new();
let res = client.post("https://shared.us-east-1.getblock.io/<ACCESS-TOKEN>/").json(&json!({"jsonrpc":"2.0","id":"getblock.io","method":"peaqrbac_fetchPermissions","params":["5G...owner"]})).send().await?.json::<Value>().await?;
println!("{}", res["result"]);
Ok(())
}Response
{
"jsonrpc": "2.0",
"id": "getblock.io",
"result": [
{
"id": "0xpermid",
"name": "0x72656164",
"enabled": true
}
]
}Response Parameters
Field
Type
Description
jsonrpc
string
JSON-RPC version ("2.0")
id
string
Request identifier ("getblock.io")
result
varies
The method result (see example above)
Use Cases
Programmatic access to the
peaqrbac_fetchPermissionsmethod on peaqIntegrations, indexing, and tooling built on the peaq node API
Error Handling
Error
Message
Description
-32602
Invalid params
A parameter was missing or malformed
-32601
Method not found
The method name is not exposed by the node
403 / RBAC: access denied
Access denied
The GetBlock access token is missing or incorrect
Was this helpful?